[WMDE-Fundraising] Handle recurring Paypal donations
Closed, ResolvedPublic1 Story Points

Description

When recurring payments come in, create a new donation record with the Paypal data and non-recurring interval. This is just a special case of T130119, with the difference that we get a donation id from Paypal: a booked donation is found, so the code path for existing donations with new transaction ids (T135232) must not be executed.

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 13 2016, 1:08 PM
gabriel-wmde triaged this task as Normal priority.May 18 2016, 2:31 PM
gabriel-wmde updated the task description. (Show Details)
gabriel-wmde changed the point value for this task from 8 to 1.
Tobi_WMDE_SW closed this task as Resolved.Apr 7 2017, 11:25 AM
Restricted Application added a project: WMDE-Fun-Team. · View Herald TranscriptApr 7 2017, 11:25 AM